package com.mvc.entity;

import java.util.ArrayList;
import java.util.List;

public class DicChkplatCellExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public DicChkplatCellExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andCellIdIsNull() {
            addCriterion("CELL_ID is null");
            return (Criteria) this;
        }

        public Criteria andCellIdIsNotNull() {
            addCriterion("CELL_ID is not null");
            return (Criteria) this;
        }

        public Criteria andCellIdEqualTo(String value) {
            addCriterion("CELL_ID =", value, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdNotEqualTo(String value) {
            addCriterion("CELL_ID <>", value, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdGreaterThan(String value) {
            addCriterion("CELL_ID >", value, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdGreaterThanOrEqualTo(String value) {
            addCriterion("CELL_ID >=", value, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdLessThan(String value) {
            addCriterion("CELL_ID <", value, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdLessThanOrEqualTo(String value) {
            addCriterion("CELL_ID <=", value, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdLike(String value) {
            addCriterion("CELL_ID like", value, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdNotLike(String value) {
            addCriterion("CELL_ID not like", value, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdIn(List<String> values) {
            addCriterion("CELL_ID in", values, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdNotIn(List<String> values) {
            addCriterion("CELL_ID not in", values, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdBetween(String value1, String value2) {
            addCriterion("CELL_ID between", value1, value2, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdNotBetween(String value1, String value2) {
            addCriterion("CELL_ID not between", value1, value2, "cellId");
            return (Criteria) this;
        }

        public Criteria andPlatIdIsNull() {
            addCriterion("PLAT_ID is null");
            return (Criteria) this;
        }

        public Criteria andPlatIdIsNotNull() {
            addCriterion("PLAT_ID is not null");
            return (Criteria) this;
        }

        public Criteria andPlatIdEqualTo(String value) {
            addCriterion("PLAT_ID =", value, "platId");
            return (Criteria) this;
        }

        public Criteria andPlatIdNotEqualTo(String value) {
            addCriterion("PLAT_ID <>", value, "platId");
            return (Criteria) this;
        }

        public Criteria andPlatIdGreaterThan(String value) {
            addCriterion("PLAT_ID >", value, "platId");
            return (Criteria) this;
        }

        public Criteria andPlatIdGreaterThanOrEqualTo(String value) {
            addCriterion("PLAT_ID >=", value, "platId");
            return (Criteria) this;
        }

        public Criteria andPlatIdLessThan(String value) {
            addCriterion("PLAT_ID <", value, "platId");
            return (Criteria) this;
        }

        public Criteria andPlatIdLessThanOrEqualTo(String value) {
            addCriterion("PLAT_ID <=", value, "platId");
            return (Criteria) this;
        }

        public Criteria andPlatIdLike(String value) {
            addCriterion("PLAT_ID like", value, "platId");
            return (Criteria) this;
        }

        public Criteria andPlatIdNotLike(String value) {
            addCriterion("PLAT_ID not like", value, "platId");
            return (Criteria) this;
        }

        public Criteria andPlatIdIn(List<String> values) {
            addCriterion("PLAT_ID in", values, "platId");
            return (Criteria) this;
        }

        public Criteria andPlatIdNotIn(List<String> values) {
            addCriterion("PLAT_ID not in", values, "platId");
            return (Criteria) this;
        }

        public Criteria andPlatIdBetween(String value1, String value2) {
            addCriterion("PLAT_ID between", value1, value2, "platId");
            return (Criteria) this;
        }

        public Criteria andPlatIdNotBetween(String value1, String value2) {
            addCriterion("PLAT_ID not between", value1, value2, "platId");
            return (Criteria) this;
        }

        public Criteria andCellNameIsNull() {
            addCriterion("CELL_NAME is null");
            return (Criteria) this;
        }

        public Criteria andCellNameIsNotNull() {
            addCriterion("CELL_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andCellNameEqualTo(String value) {
            addCriterion("CELL_NAME =", value, "cellName");
            return (Criteria) this;
        }

        public Criteria andCellNameNotEqualTo(String value) {
            addCriterion("CELL_NAME <>", value, "cellName");
            return (Criteria) this;
        }

        public Criteria andCellNameGreaterThan(String value) {
            addCriterion("CELL_NAME >", value, "cellName");
            return (Criteria) this;
        }

        public Criteria andCellNameGreaterThanOrEqualTo(String value) {
            addCriterion("CELL_NAME >=", value, "cellName");
            return (Criteria) this;
        }

        public Criteria andCellNameLessThan(String value) {
            addCriterion("CELL_NAME <", value, "cellName");
            return (Criteria) this;
        }

        public Criteria andCellNameLessThanOrEqualTo(String value) {
            addCriterion("CELL_NAME <=", value, "cellName");
            return (Criteria) this;
        }

        public Criteria andCellNameLike(String value) {
            addCriterion("CELL_NAME like", value, "cellName");
            return (Criteria) this;
        }

        public Criteria andCellNameNotLike(String value) {
            addCriterion("CELL_NAME not like", value, "cellName");
            return (Criteria) this;
        }

        public Criteria andCellNameIn(List<String> values) {
            addCriterion("CELL_NAME in", values, "cellName");
            return (Criteria) this;
        }

        public Criteria andCellNameNotIn(List<String> values) {
            addCriterion("CELL_NAME not in", values, "cellName");
            return (Criteria) this;
        }

        public Criteria andCellNameBetween(String value1, String value2) {
            addCriterion("CELL_NAME between", value1, value2, "cellName");
            return (Criteria) this;
        }

        public Criteria andCellNameNotBetween(String value1, String value2) {
            addCriterion("CELL_NAME not between", value1, value2, "cellName");
            return (Criteria) this;
        }

        public Criteria andStaticFlagIsNull() {
            addCriterion("STATIC_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andStaticFlagIsNotNull() {
            addCriterion("STATIC_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andStaticFlagEqualTo(String value) {
            addCriterion("STATIC_FLAG =", value, "staticFlag");
            return (Criteria) this;
        }

        public Criteria andStaticFlagNotEqualTo(String value) {
            addCriterion("STATIC_FLAG <>", value, "staticFlag");
            return (Criteria) this;
        }

        public Criteria andStaticFlagGreaterThan(String value) {
            addCriterion("STATIC_FLAG >", value, "staticFlag");
            return (Criteria) this;
        }

        public Criteria andStaticFlagGreaterThanOrEqualTo(String value) {
            addCriterion("STATIC_FLAG >=", value, "staticFlag");
            return (Criteria) this;
        }

        public Criteria andStaticFlagLessThan(String value) {
            addCriterion("STATIC_FLAG <", value, "staticFlag");
            return (Criteria) this;
        }

        public Criteria andStaticFlagLessThanOrEqualTo(String value) {
            addCriterion("STATIC_FLAG <=", value, "staticFlag");
            return (Criteria) this;
        }

        public Criteria andStaticFlagLike(String value) {
            addCriterion("STATIC_FLAG like", value, "staticFlag");
            return (Criteria) this;
        }

        public Criteria andStaticFlagNotLike(String value) {
            addCriterion("STATIC_FLAG not like", value, "staticFlag");
            return (Criteria) this;
        }

        public Criteria andStaticFlagIn(List<String> values) {
            addCriterion("STATIC_FLAG in", values, "staticFlag");
            return (Criteria) this;
        }

        public Criteria andStaticFlagNotIn(List<String> values) {
            addCriterion("STATIC_FLAG not in", values, "staticFlag");
            return (Criteria) this;
        }

        public Criteria andStaticFlagBetween(String value1, String value2) {
            addCriterion("STATIC_FLAG between", value1, value2, "staticFlag");
            return (Criteria) this;
        }

        public Criteria andStaticFlagNotBetween(String value1, String value2) {
            addCriterion("STATIC_FLAG not between", value1, value2, "staticFlag");
            return (Criteria) this;
        }

        public Criteria andStdValueIsNull() {
            addCriterion("STD_VALUE is null");
            return (Criteria) this;
        }

        public Criteria andStdValueIsNotNull() {
            addCriterion("STD_VALUE is not null");
            return (Criteria) this;
        }

        public Criteria andStdValueEqualTo(Integer value) {
            addCriterion("STD_VALUE =", value, "stdValue");
            return (Criteria) this;
        }

        public Criteria andStdValueNotEqualTo(Integer value) {
            addCriterion("STD_VALUE <>", value, "stdValue");
            return (Criteria) this;
        }

        public Criteria andStdValueGreaterThan(Integer value) {
            addCriterion("STD_VALUE >", value, "stdValue");
            return (Criteria) this;
        }

        public Criteria andStdValueGreaterThanOrEqualTo(Integer value) {
            addCriterion("STD_VALUE >=", value, "stdValue");
            return (Criteria) this;
        }

        public Criteria andStdValueLessThan(Integer value) {
            addCriterion("STD_VALUE <", value, "stdValue");
            return (Criteria) this;
        }

        public Criteria andStdValueLessThanOrEqualTo(Integer value) {
            addCriterion("STD_VALUE <=", value, "stdValue");
            return (Criteria) this;
        }

        public Criteria andStdValueIn(List<Integer> values) {
            addCriterion("STD_VALUE in", values, "stdValue");
            return (Criteria) this;
        }

        public Criteria andStdValueNotIn(List<Integer> values) {
            addCriterion("STD_VALUE not in", values, "stdValue");
            return (Criteria) this;
        }

        public Criteria andStdValueBetween(Integer value1, Integer value2) {
            addCriterion("STD_VALUE between", value1, value2, "stdValue");
            return (Criteria) this;
        }

        public Criteria andStdValueNotBetween(Integer value1, Integer value2) {
            addCriterion("STD_VALUE not between", value1, value2, "stdValue");
            return (Criteria) this;
        }

        public Criteria andUsedFlagIsNull() {
            addCriterion("USED_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andUsedFlagIsNotNull() {
            addCriterion("USED_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andUsedFlagEqualTo(String value) {
            addCriterion("USED_FLAG =", value, "usedFlag");
            return (Criteria) this;
        }

        public Criteria andUsedFlagNotEqualTo(String value) {
            addCriterion("USED_FLAG <>", value, "usedFlag");
            return (Criteria) this;
        }

        public Criteria andUsedFlagGreaterThan(String value) {
            addCriterion("USED_FLAG >", value, "usedFlag");
            return (Criteria) this;
        }

        public Criteria andUsedFlagGreaterThanOrEqualTo(String value) {
            addCriterion("USED_FLAG >=", value, "usedFlag");
            return (Criteria) this;
        }

        public Criteria andUsedFlagLessThan(String value) {
            addCriterion("USED_FLAG <", value, "usedFlag");
            return (Criteria) this;
        }

        public Criteria andUsedFlagLessThanOrEqualTo(String value) {
            addCriterion("USED_FLAG <=", value, "usedFlag");
            return (Criteria) this;
        }

        public Criteria andUsedFlagLike(String value) {
            addCriterion("USED_FLAG like", value, "usedFlag");
            return (Criteria) this;
        }

        public Criteria andUsedFlagNotLike(String value) {
            addCriterion("USED_FLAG not like", value, "usedFlag");
            return (Criteria) this;
        }

        public Criteria andUsedFlagIn(List<String> values) {
            addCriterion("USED_FLAG in", values, "usedFlag");
            return (Criteria) this;
        }

        public Criteria andUsedFlagNotIn(List<String> values) {
            addCriterion("USED_FLAG not in", values, "usedFlag");
            return (Criteria) this;
        }

        public Criteria andUsedFlagBetween(String value1, String value2) {
            addCriterion("USED_FLAG between", value1, value2, "usedFlag");
            return (Criteria) this;
        }

        public Criteria andUsedFlagNotBetween(String value1, String value2) {
            addCriterion("USED_FLAG not between", value1, value2, "usedFlag");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}